package com.wrox.algorithms.sorting;

public class FixedComparator implements Comparator {
    private final int _result;

    /**
     * Konstruktor.
     * Parametr: predefiniowana wartość zwracana jako wynik porównania
     */
    public FixedComparator(int result) {
        _result = result;
    }

    public int compare(Object left, Object right) throws ClassCastException {
        return _result;
    }
}
